Tree Feller - Async 3,1

Fastest tree feller on the marked. Addon for EWG that support mcMMO. Works without EWG also.

  1. minelazz
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    Source Code:
    https://github.com/jonryf/TreeFeller

    [​IMG]

    Tree Feller is an addon for EpicWorldGenerator;
    [​IMG]


    Tree Feller simply cut down all kinds of trees. EpicWorldGenerator contains some custom trees that do not play well with other tree feller plugins. The problem with the other tree fellers is that they are bad at recognizing what that is trees. They also start to lag when the tree is a bit big. This plugin is simply here to fill the gap. It is using better algorithms to detect what that is a tree and it is doing it async. It will also cut down the tree async.


    [​IMG]
    • Async calculations
    • mcMMO support (turn it on in the settings)
    • Lightweight
    • Handle durability
    • Automatically switch tools if the current tool gets broken and the inventory contains other tools that can be used.
    • Require the player to be in gamemode survival
    • Support following anticheat plugins;
      • NoCheatPlus
      • AAC
      • Spartan
    [​IMG]
    Code (Text):
    {
      "mcMMOTreeFeller": false,//Hook into mcMMO?
      "instantTreeCut": false,//Ignore cutting speed values?
      "instantToInventory": true,
      "usePermissions": false, // Permissions will be ignored
      "plantSapling": true,//replant a sapling of the tree type
      "particles": true,//break animation?
      "maxLogBlocksPerCut": 50, //max blocks cutted per cut
      "delay": 0,
      "cuttingSpeed": {
        "DIAMOND_AXE": 0,
        "IRON_AXE": 1,
        "STONE_AXE": 3,
        "GOLD_AXE": 1,
        "WOOD_AXE": 4
      }
    }
    Permission to use a tool is defined like this;
    treefeller.use.<tool name>, eg "treefeller.use.*" or "treefeller.use.diamond_axe"

    [​IMG]
    Async calculations and block updates improve the performances a lot vs a normal tree feller.





    *Video*









    [​IMG]
    For all issues with the plugin, go to the EWG discord server.

    Please note, if you are going to use this for 1.12 or below, you would need to use a version before 3.0. Old versions require FAWE, https://www.spigotmc.org/resources/fast-async-worldedit-voxelsniper.13932/
    TeetK, MOAN, TomCreeper and 14 others like this.

Recent Updates

  1. Fix mcMMO incompatibility
  2. 1.14-1.15 support
  3. Bug fixes

Recent Reviews

  1. Dynamite99
    Dynamite99
    1/5,
    Version: 3,1
    So many better treefeller plugins. This one is just really poor coding, awful support, non-existent dev, and just not a good plugin. Look for another one.
  2. That_Camel
    That_Camel
    3/5,
    Version: 3,1
    it worked well for about 15min then started dumping a error message when i try to mine a EWG custom tree.
  3. Notso9bit
    Notso9bit
    3/5,
    Version: 3,1
    Seems to work well... Except that sometimes you will bream one log and it will eat up an entire forest until the axe breaks, which kinda makes it unusable in production servers.
  4. actester1235
    actester1235
    2/5,
    Version: 3,1
    its pretty glitchy and gives me errors in console when i mine trees on 1.15.2 and when it does work its super glitchy and break most of the time so i don't really recommend this
  5. Xp10d3
    Xp10d3
    5/5,
    Version: 2.4-RELEASE
    The Developer has announced a 1.15 update. Please be patient and wait. Don't worry; this should be fixed soon.
  6. SzteveO
    SzteveO
    1/5,
    Version: 2.4-RELEASE
    1.14.4 ...................................................................................
  7. imedsj
    imedsj
    5/5,
    Version: 2.4-RELEASE
    Please update this plugin! We really need him and hope to run it on 1.15 in our lifetime! !! !! !! !! !! !!
  8. Gh0stiiik
    Gh0stiiik
    5/5,
    Version: 2.4-RELEASE
    Update this please, fawe is already for 1.14-1.15 ..........................................
  9. Zloykaban4ick
    Zloykaban4ick
    5/5,
    Version: 2.4-RELEASE
    Please upgrade to version 1.15.1! I really need this plugin for EpicWorldGenerator
  10. E1t1h1a1n
    E1t1h1a1n
    5/5,
    Version: 2.4-RELEASE
    Good plugin lacking 1.13.x 1.14.x support though. apart from that a really good plugin